import { get, put, post, deletes } from '@/http/index'

// 查询产品树列表
export const getProduct = async (data) => {
  return await get('/als/product/list', data)
}

// 新增产品树
export const addProduct = async (data) => {
  return await post('/als/product', data)
}

// 修改产品树
export const updateProduct = async (data) => {
  return await put('/als/product', data)
}

// 删除产品树
export const removeProduct = async (id) => {
  return await deletes('/als/product/' + id)
}

//  获取机种和机型树
export const getAircaftTypeAndModelTree = async (data) => {
  return await get('/basicdata/aircaftCatalog/getAircaftTypeAndModelTree', data)
}
